Skip to main content
POST
/
files
/
v1
/
async
/
upload-file
Upload file to file storage asynchronously
curl --request POST \
  --url https://eu.phrase.com/connectors/files/v1/async/upload-file \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --header 'X-Webhook: <x-webhook>' \
  --form file='@example-file'
import requests

url = "https://eu.phrase.com/connectors/files/v1/async/upload-file"

files = { "file": ("example-file", open("example-file", "rb")) }
headers = {
"X-Webhook": "<x-webhook>",
"Authorization": "Bearer <token>"
}

response = requests.post(url, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');

const options = {
method: 'POST',
headers: {'X-Webhook': '<x-webhook>', Authorization: 'Bearer <token>'}
};

options.body = form;

fetch('https://eu.phrase.com/connectors/files/v1/async/upload-file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "uid": "DRZMMKMO0jOZvqnCD6rOI3",
  "expiration": "DAY",
  "origin": "bifrost",
  "sha256": "a80657bc2c3cd671207f239851ca2147c6fc93b813d8e53fcde66778ab618d4a",
  "size": 47,
  "customer": {
    "organization": "bifrost",
    "user": "bifrost"
  }
}

Authorizations

Authorization
string
header
required

IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer

Headers

X-Webhook
string
required
X-ActionId
string

Body

multipart/form-data
file
file
required

Response

200 - application/json

OK

webhookUrl
string
uid
string